Gio::TlsServerConnection Class Reference

TlsServerConnection - TLS server-side connection. More...

`#include <giomm/tlsserverconnection.h>`

Inheritance diagram for Gio::TlsServerConnection:
[legend]

## Public Member Functions

virtual | ~TlsServerConnection ()
GTlsServerConnection* | gobj ()
| Provides access to the underlying C GObject. More...
const GTlsServerConnection* | gobj () const
| Provides access to the underlying C GObject. More...
Glib::PropertyProxy < TlsAuthenticationMode > | property_authentication_mode ()
| The client authentication mode. More...
Glib::PropertyProxy_ReadOnly < TlsAuthenticationMode > | property_authentication_mode () const
| The client authentication mode. More...
Public Member Functions inherited from Glib::Interface
| Interface (const Glib::Interface_Class& interface_class)
| Called by constructors of derived classes. More...
| Interface (GObject* castitem)
| Called by constructors of derived classes. More...
virtual | ~Interface ()
GObject* | gobj ()
const GObject* | gobj () const
Public Member Functions inherited from Glib::ObjectBase
void | set_property_value (const Glib::ustring& property_name, const Glib::ValueBase& value)
| You probably want to use a specific property_*() accessor method instead. More...
void | get_property_value (const Glib::ustring& property_name, Glib::ValueBase& value) const
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | set_property (const Glib::ustring& property_name, const PropertyType& value)
| You probably want to use a specific property_*() accessor method instead. More...
template<class PropertyType >
void | get_property (const Glib::ustring& property_name, PropertyType& value) const
| You probably want to use a specific property_*() accessor method instead. More...
void | connect_property_changed (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
sigc::connection | connect_property_changed_with_return (const Glib::ustring& property_name, const sigc::slot< void >& slot)
| You can use the signal_changed() signal of the property proxy instead, but this is necessary when using the reduced API. More...
void | freeze_notify ()
| Increases the freeze count on object. More...
void | thaw_notify ()
| Reverts the effect of a previous call to freeze_notify(). More...
virtual void | reference () const
| Increment the reference count for this object. More...
virtual void | unreference () const
| Decrement the reference count for this object. More...
GObject* | gobj ()
| Provides access to the underlying C GObject. More...
const GObject* | gobj () const
| Provides access to the underlying C GObject. More...
GObject* | gobj_copy () const
| Give a ref-ed copy to someone. Use for direct struct access. More...

## Static Public Member Functions

static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...

## Protected Member Functions

| TlsServerConnection ()
| You should derive from this class to use it. More...

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gio::TlsServerConnection > | wrap (GTlsServerConnection* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

TlsServerConnection - TLS server-side connection.

TlsServerConnection is the server-side subclass of TlsConnection, representing a server-side TLS connection.

Since glibmm 2.36:

## Constructor & Destructor Documentation

Gio::TlsServerConnection::TlsServerConnection | ( |  | ) |

protected

You should derive from this class to use it.

virtual Gio::TlsServerConnection::~TlsServerConnection | ( |  | ) |

virtual

## Member Function Documentation

static void Gio::TlsServerConnection::add_interface | ( | GType | gtype_implementer | ) |

static

static GType Gio::TlsServerConnection::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GTlsServerConnection* Gio::TlsServerConnection::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GTlsServerConnection* Gio::TlsServerConnection::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

Glib::PropertyProxy< TlsAuthenticationMode > Gio::TlsServerConnection::property_authentication_mode | ( |  | ) |

The client authentication mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< TlsAuthenticationMode > Gio::TlsServerConnection::property_authentication_mode | ( |  | ) | const

The client authentication mode.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gio::TlsServerConnection > wrap | ( | GTlsServerConnection * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.